{% extends "base.html" %}
{% block content %}
    <h1>Vehicles for Sale </h1>
    <table>
        <caption>Latest Vehicles</caption>
        <thead>
            <tr>
                <th>>Brand</th>
                <th>Model</th>
                <th>Year</th>
                <th>Transmission </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
        {% for vehicle in vehicles %}
        <tr>
            <td>{{vehicle.brand}}</td>
            <td>{{vehicle.model}}</td>
            <td>{{vehicle.year}}</td>
            <td>{{vehicle.transmission}}</td>
            <td> 
                <a href=" { % url 'vehicle_detail' pk=vehicle.id %}">View Details </a>
            
            </td>
       {% endfor %}
        </tbody>
    </table>
{% endblock content %}